Retrieve all BackupLocations
This endpoint enables retrieving all BackupLocations using pagination and optional filters.
The token can be generated using the Authentication API.
The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.
0Example: 0The maximum number of elements to return. Use this parameter together with the offset for pagination.
100Example: 100Returned all requested BackupLocations successfully.
Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.
ID of the list of BackupLocation resources.
a39a1ba4-3c1c-5a52-b90d-14fefce3d5a3The type of the resource.
The URL of the list of BackupLocation resources.
/backup-locationsThe offset specified in the request (if none was specified, the default offset is 0).
0The limit specified in the request (if none was specified, use the endpoint's default pagination limit).
42Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /v2/backup-locations HTTP/1.1
Host: mariadb.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "a39a1ba4-3c1c-5a52-b90d-14fefce3d5a3",
"type": "collection",
"href": "/backup-locations",
"items": [
{
"id": "7fa1dd11-59dd-53a5-ab67-50f649c8e3eb",
"type": "backuplocation",
"href": "/backup-locations/7fa1dd11-59dd-53a5-ab67-50f649c8e3eb",
"metadata": {},
"properties": {
"location": "eu-central-3"
}
}
],
"offset": 0,
"limit": 42,
"_links": {
"prev": "http://PREVIOUS-PAGE-URI",
"self": "http://THIS-PAGE-URI",
"next": "http://NEXT-PAGE-URI"
}
}Last updated
Was this helpful?